Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QDropSite Class Reference

The QDropSite class provides nothing and does nothing. More...

    #include <QDropSite>

This class is part of the Qt 3 compatibility library. It is provided to keep old source code working. We strongly advise against using it in new code.

- List of all members, including inherited members

### Public Functions

- QDropSite ( QWidget * self )
- virtual ~QDropSite ()

## Detailed Description

The QDropSite class provides nothing and does nothing.

It was used in Qt 1.x to do some drag and drop; that has since been folded into QWidget.

See also QDragObject, QTextDrag, and QImageDrag.

## Member Function Documentation

### QDropSite::QDropSite ( QWidget * self )

Constructs a QDropSite to handle events for the widget self.

Pass `this` as the self parameter. This enables dropping by calling QWidget::setAcceptDrops(true).

### QDropSite::~QDropSite () `[virtual]`

Destroys the drop site.